{% extends '../base.html'%} {% block main %} {% load static %}
<div class="main-container" style="margin: 2rem 20% 0 20%">
  <div class="my-repair-title">
    <p>Signaler un problème</p>
  </div>

  <div class="normal-display-page">
    <form method="POST">
        {% csrf_token %}
      <div class="mb-3">
        <label for="url" class="form-label">*URL du problème : </label>
        <input
          type="text"
          readonly
          required
          class="form-control"
          id="url"
          name="url"
          value="{{ request.META.HTTP_REFERER }}"
        />
      </div>
      <div class="mb-3">
        <label for="title" class="form-label">*Le titre de votre problème : </label>
        <input type="text" autocomplete="none" required class="form-control" id="title" name="title" />
      </div>
      <div class="mb-3">
        <label for="description" class="form-label">*La description de votre problème : </label>
        <input type="text" autocomplete="none" required class="form-control" id="description" name="description" />
      </div>
      <div class="mb-3">
        <label for="user_email" class="form-label">Votre adresse mail : </label>
        <input type="email" value="{{ request.user.email }}" class="form-control" id="user_email" name="user_email" />
      </div>
      <div class="w-100 d-flex justify-content-center align-content-center">
        <button type="submit" class="normal-btn bg-success text-white shadow-lg rounded px-4 py-2"><i class="fa-solid fa-check"></i> Valider</button>
      </div>

    </form>
  </div>

  <script src="{% static 'assets/js/script.js' %}"></script>
</div>

{% endblock main%}
